Get the latest content revision of a change request
Returns the current revision snapshot of the change request, including the full page tree structure and metadata. Use this to inspect the overall state of the change request's content, such as the list of pages and their hierarchy, without fetching each page individually. For page content (body text), use the individual page endpoints.
get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
spaceIdstringRequiredPattern:
A unique entity identifier
^[a-zA-Z0-9_-]+$changeRequestIdstringRequiredPattern:
A unique entity identifier
^[a-zA-Z0-9_-]+$Query parameters
metadatabooleanOptionalDefault:
If false is passed, "git" mutable metadata will not returned. Passing false can optimize performances of the lookup.
truecomputedbooleanOptionalDefault:
If false is passed, content will not be computed
trueResponses
200
OK
application/json
or
or
or
or
get/spaces/{spaceId}/change-requests/{changeRequestId}/content
GET /v1/spaces/{spaceId}/change-requests/{changeRequestId}/content HTTP/1.1
Host: api.gitbook.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200
OK
{
"object": "revision",
"id": "text",
"parents": [
"text"
],
"pages": [
"[Circular Reference]"
],
"files": [
{
"id": "text",
"name": "text",
"contentType": "text",
"downloadURL": "text",
"size": 1,
"dimensions": {
"width": 1,
"height": 1
},
"git": {
"oid": "text",
"path": "text"
}
}
],
"reusableContents": [
{
"id": "text",
"title": "text",
"git": {
"oid": "text",
"path": "text"
}
}
],
"tags": [
{
"slug": "text",
"label": "text",
"color": "default",
"emoji": "🎉"
}
],
"variables": {
"ANY_ADDITIONAL_PROPERTY": "text"
},
"createdAt": "2026-01-01T00:00:00.000Z",
"git": {
"oid": "text",
"message": "text",
"createdByGitBook": true,
"url": "text",
"ref": "text"
},
"urls": {
"app": "https://example.com",
"published": "https://example.com",
"public": "https://example.com"
},
"type": "edits"
}Last updated
Was this helpful?